com.ihr.xbrl.om.errors

## Class XBRLAssertionResult

- java.lang.Object
- - com.ihr.xbrl.om.errors.XBRLAssertionResult

-     public class XBRLAssertionResult
      extends java.lang.Object

  The Class XBRLAssertionResult.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLAssertionResult(XBRLFormulaResource assertion, boolean result, int cycle, XBRLInstance inputInstance, XBRLInstance afterFormulaInstance)` This method can be used to create an XBRLAssertionResult while looking if the XBRLAssertion contains a specific user defined message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `XBRLInstance` | `getAfterFormulaInstance()` Access to the XBRL Report that was created after the evaluation of the variable set Returns null if the DTS Property FORMULA_PROCESSOR_RETAIN_AFTER_FORMULA_INTANCE_ON_ASSERTION_RESULTS is false.
    `java.lang.String` | `getAssertionID()` Gets the assertion id.
    `XBRLFormulaResource` | `getEvaluatedResources()` Access to the instance of the XBRLFormulaResource used during the assertion evaluation.
    `XBRLInstance` | `getInputInstance()` Acess to the XBRL Input instance document on this assertion.
    `java.lang.String` | `getMessage()` Gets the message.
    `TraceVariablesBind` | `getTraceVariables()` If the API has stored information about variable binding for the evaluation of this assertion, this method returns that information at this time.
    `int` | `hashCode()`
    `boolean` | `isNotOk()` Checks if is not ok.
    `boolean` | `isOK()` Checks if is ok.
    `void` | `setTraceVariablesInformation(TraceVariablesBind info)` The API uses this method to set the information about the variables that bind during the execution of thie assetion.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLAssertionResult

          public XBRLAssertionResult(XBRLFormulaResource assertion,
                             boolean result,
                             int cycle,
                             XBRLInstance inputInstance,
                             XBRLInstance afterFormulaInstance)
                              throws XFValidationException

      This method can be used to create an XBRLAssertionResult while looking if the XBRLAssertion contains a specific user defined message. If the message exist, the assertion message text will be evaluated and the text will be returned when the toString() method of this object is called and when a call to the getMessage() text is invoked. If the message does not exists, then the assertion will be created using a call to the constructor for assertionID and result parameters.
      Parameters:
        `assertion` - the assertion
        `result` - the result
        `cycle` - the cycle
        `inputInstance` - the input instance
        `afterFormulaInstance` - the after formula instance
      Throws:
        `XFValidationException` - the XF validation exception

  - ### Method Detail

    - #### getEvaluatedResources

          public XBRLFormulaResource getEvaluatedResources()

      Access to the instance of the XBRLFormulaResource used during the assertion evaluation. This method returns null when the value of the DTSCotainer property 'FORMULA_PROCESSOR_RETAIN_ASSERTION_RESOURCES' is 'false'. And may return a valid instance when the property value is 'true'
      Returns:
        XBRLFormulaResource or null

    - #### getAssertionID

          public java.lang.String getAssertionID()

      Gets the assertion id.
      Returns:
        the assertionID

    - #### isOK

          public boolean isOK()

      Checks if is ok.
      Returns:
        the result

    - #### isNotOk

          public boolean isNotOk()

      Checks if is not ok.
      Returns:
        the result

    - #### getMessage

          public java.lang.String getMessage()

      Gets the message.
      Returns:
        the message

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getInputInstance

          public XBRLInstance getInputInstance()

      Acess to the XBRL Input instance document on this assertion.

      Returns null if the DTS Property FORMULA_PROCESSOR_RETAIN_INPUT_INTANCE_ON_ASSERTION_RESULTS is false

      Returns:
        the inputInstance

    - #### setTraceVariablesInformation

          public void setTraceVariablesInformation(TraceVariablesBind info)

      The API uses this method to set the information about the variables that bind during the execution of thie assetion.
      Parameters:
        `info` - the new trace variables information

    - #### getTraceVariables

          public TraceVariablesBind getTraceVariables()

      If the API has stored information about variable binding for the evaluation of this assertion, this method returns that information at this time. Note, in order to activate tracing of variable binding the DTSContainer property FORMULA_PROCESSOR_RETAIN_USED_FACTS must be set to 'true' the default value is false.

      This method returns null if no information exists

      Returns:
        the traceVariables

    - #### getAfterFormulaInstance

          public XBRLInstance getAfterFormulaInstance()

      Access to the XBRL Report that was created after the evaluation of the variable set

      Returns null if the DTS Property FORMULA_PROCESSOR_RETAIN_AFTER_FORMULA_INTANCE_ON_ASSERTION_RESULTS is false.

      Returns:
        the afterFormulaInstance

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`